This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 658386 - Patch to allow mbkernel and mbargs to be read from /etc/sysconfig/kernel
Patch to allow mbkernel and mbargs to be read from /etc/sysconfig/kernel
Status: CLOSED DUPLICATE of bug 658387
Product: Fedora
Classification: Fedora
Component: grubby (Show other bugs)
rawhide
Unspecified Linux
low Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-30 03:38 EST by W. Michael Petullo
Modified: 2010-12-21 00:34 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-21 00:34:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description W. Michael Petullo 2010-11-30 03:38:10 EST
Description of problem:
New-kernel-pkg has support for mbkernel and mbargs. However, there is no way to set these variables other than by using command line options. This does not support a single kernel which boots both on bare metal and from within a hypervisor such as Xen (upcoming Xen kernels will have this capability). I have attached a patch that reads mbkernel and mbargs from /etc/sysconfig/kernel:HYPERVISOR and :HYPERVISOR_ARGS, respectively. The allows a single kernel package to be installed to boot with or without a hypervisor.

This is a requirement for the Xen Pvops Dom0 feature that will be proposed for Fedora 15 (http://fedoraproject.org/wiki/Features/XenPvopsDom0).

Version-Release number of selected component (if applicable):
Git d3ca5734c2ca2f3dce2591d06ed609b9bfee756a
Comment 1 W. Michael Petullo 2010-12-21 00:34:23 EST
I'm not sure why this was filed twice.

*** This bug has been marked as a duplicate of bug 658387 ***

Note You need to log in before you can comment on or make changes to this bug.